PostgreSQL 9.1.2 Documentation
Prev | Up |  | Next

# PREPARE

## Name

PREPARE -- prepare a statement for execution

## Synopsis

    PREPARE name FROM string

## Description

`PREPARE` prepares a statement dynamically specified as a string for execution. This is different from the direct SQL statement PREPARE, which can also be used in embedded programs. The EXECUTE command is used to execute either kind of prepared statement.

## Parameters

`prepared_name`

  An identifier for the prepared query.

`string`

  A literal C string or a host variable containing a preparable statement, one of the SELECT, INSERT, UPDATE, or DELETE.

## Examples

    char *stmt = "SELECT * FROM test1 WHERE a = ? AND b = ?";

    EXEC SQL ALLOCATE DESCRIPTOR outdesc;
    EXEC SQL PREPARE foo FROM :stmt;

    EXEC SQL EXECUTE foo USING SQL DESCRIPTOR indesc INTO SQL DESCRIPTOR outdesc;

## Compatibility

`PREPARE` is specified in the SQL standard.

## See Also

EXECUTE

Prev | Home | Next
OPEN | Up | SET AUTOCOMMIT